@import "./anim/FadeIn.css";

.menu {
  animation: fadeIn 300ms ease-in;
  margin: 0 0 10% 0;
}

.menu__container {
  padding: 1% 5% 0 5%;
  width: 100%;
  margin: 0 0 20% 0;

}

.menuView {
  padding: 2%;
  animation: fadeIn 300ms ease-in;
}

.menuView img {
  object-fit: cover;
}

menu__title--wrapper {
  width: 100%;
  display: grid;
  justify-content: center;
}

ul li {
  list-style: none;
  margin: 5% 0;
  display: grid;
  justify-content: center;
}
ul li a {
  display: block;
  position: relative;
  width: 30vw;
  height: 20vh;
  line-height: 8.5vh;
  font-size: 1rem;
  text-align: center;
  text-decoration: none;
  margin: 0 3%;
  transition: 0.5s;
  color: var(--primaryColor);
}

ul li a span {
  position: absolute;
  transition: transform 0.5s;
}
ul li a span:nth-child(1),
ul li a span:nth-child(3) {
  width: 100%;
  height: 3px;
  background: #404040;
}
ul li a span:nth-child(1) {
  top: 0;
  left: 0;
  transform-origin: right;
}
ul li a:hover span:nth-child(1) {
  transform: scaleX(0);
  transform-origin: left;
  transition: transform 0.5s;
}

ul li a span:nth-child(3) {
  bottom: 0;
  left: 0;
  transform-origin: left;
}
ul li a:hover span:nth-child(3) {
  transform: scaleX(0);
  transform-origin: right;
  transition: transform 0.5s;
}

ul li a span:nth-child(2),
ul li a span:nth-child(4) {
  width: 3px;
  height: 100%;
  background: #404040;
}
ul li a span:nth-child(2) {
  top: 0;
  left: 0;
  transform: scale(0);
  transform-origin: bottom;
}
ul li a:hover span:nth-child(2) {
  transform: scale(1);
  transform-origin: top;
  transition: transform 0.5s;
}
ul li a span:nth-child(4) {
  top: 0;
  right: 0;
  transform: scale(0);
  transform-origin: top;
}
ul li a:hover span:nth-child(4) {
  transform: scale(1);
  transform-origin: bottom;
  transition: transform 0.5s;
}

.menu__icon--wrapper:hover {
  color: #707070;
}
.menu__icon--wrapper:hover span {
  background: #707070;
}

/*.menu__title {
  font-weight: bold;
}*/

.menu__menuIcon {
  margin-top: 10%;
  margin-bottom: 3%;
  transform: scale(4.3);
  vertical-align: middle;
}

.menuView .card:hover {
  transform: scale(1.01);
  cursor: pointer;
}

.editMenu--wrapper {
  position: absolute;
  top: 0;
  height: 100vh;
  width: 100%;
  z-index: 3;
}

.editMenu__background {
  top: 0;
  position: fixed;
  height: 100%;
  width: 100%;
  background: rgba(240, 240, 240, 0.9);
  animation: fadeIn 150ms ease-in;
}

.editMenu {
  display: grid;
  place-items: center;
}

.editMenu .card {
  width: 25%;
}

.editMenu .button {
  margin: 8% 0 0 0;
}

.editMenu img {
  object-fit: cover;
}

.dropDownMenu__wrapper {
  width: 100%;
  display: grid;
  place-items: center;
  margin: 4% 0 2% 0;
}

.confirmBtns {
  margin-top: 12%;
}

.confirmBtns__btn {
  display: grid;
  place-items: center;
  margin: 2%;
}

.menu__addSection--wrapper {
  margin-top: 5%;
  padding-right: 12ch;
  width: 100%;
  height: 140px;
  display: grid;
  place-items: center;
  justify-content: flex-end;
}

.menu__addSection {
  width: 20ch;
  height: 4em;
  background: var(--headerBackgroundColor);
  position: relative;
  color: var(--primaryColor);
  margin-bottom: 25px;
  border-radius: var(--borderRadiusRounded);
  cursor: pointer;
  display: flex;
  justify-content: space-evenly;
  place-items: center;
  transition: all 0.1s ease-in-out;
}

.menu__addSection:nth-child(1) {
  box-shadow: -6px -6px 10px rgba(255, 255, 255, 0.8),
    6px 6px 10px rgba(0, 0, 0, 0.2);
}
.menu__addSection:nth-child(1):hover {
  opacity: 0.3;
  box-shadow: -6px -6px 10px rgba(255, 255, 255, 0.8),
    6px 6px 10px rgba(0, 0, 0, 0.2);
}
.menu__addSection:nth-child(1):active {
  opacity: 1;
  box-shadow: inset -4px -4px 8px rgba(255, 255, 255, 0.5),
    inset 8px 8px 16px rgba(0, 0, 0, 0.1);
}
.menu__addSection:nth-child(2) {
  opacity: 0.3;
  box-shadow: -6px -6px 10px rgba(255, 255, 255, 0.8),
    6px 6px 10px rgba(0, 0, 0, 0.2);
}
.menu__addSection:nth-child(3) {
  box-shadow: inset -4px -4px 8px rgba(255, 255, 255, 0.5),
    inset 8px 8px 16px rgba(0, 0, 0, 0.1);
}
.menu__addSection:nth-child(3):hover {
  opacity: 1;
  box-shadow: -6px -6px 10px rgba(255, 255, 255, 0.8),
    6px 6px 10px rgba(0, 0, 0, 0.2);
}

.menuView button:hover {
  transform: scale(1.01);
}
